<section class="shopping-cart-container">
  <div class="sh-content">
    <app-stepper
      [selectedSection]="selectedSection">
    </app-stepper>
    <div class="content">
      <div class="item">
        <app-review
          *ngIf="selectedSection === sections.REVIEW"
          [products]="shoppingCartProducts$ | async"
        ></app-review>
        <app-credit-card
          *ngIf="selectedSection === sections.CHECKOUT"
        ></app-credit-card>
        <div
          class="btn-wrapper"
          *ngIf="(shoppingCartProducts$ | async).length > 0"
          [ngClass]="isPaymentProcess && 'payment-process'"
        >
          <button type="button" class="btn-checkout" (click)="goToCheckout()">
            <span><span *ngIf="!isPaymentProcess">Let's pay!</span> 💳</span>
          </button>
        </div>
      </div>
    </div>
  </div>
</section>
